//*******************************************************************************************************
//*******************************************************************************************************
//*******************************************************************************************************
//*******************************************************************************************************
//*****                                                                                             *****
//*****   JScript project make_a_list_short.jsp                                                     *****
//*****                                                                                             *****
//*****   MANUAL                                                                                    *****
//*****                                                                                             *****
//*****   Version 2.0 / 27 July, 2008                                                               *****
//*****                                                                                             *****
//*****   Author V.I. Tsanev (vip20@cam.ac.uk)                                                      *****
//*****                                                                                             *****
//*******************************************************************************************************
//*******************************************************************************************************
//*******************************************************************************************************
//*******************************************************************************************************
//*****                                                                                             *****
//***** ALL LINES IN THIS FILE HAVE TO START WITH TWO BACK SLASHES                                  *****
//*****                                                                                             *****
//***** DO NOT MODIFY THIS FILE!!!                                                                  *****
//*****                                                                                             *****
//*******************************************************************************************************
//*******************************************************************************************************
//*****                                                                                             *****
//*****   DOASIS JScript has a lot of bugs. One of them is that you cannot use AutoFileName and     *****
//*****          read fit scenario properties in the same project. when performing retrieval I      *****
//*****          want to have an autimatically created report containing information about used     *****
//*****          fit scenario. To achieve this I decided to created the present project.            *****
//*****          His purpose is to create a list of files recorded by some JScript utilizing        *****
//*****          AutoFileName approach or by out old JScripts. An example how to modify recorded    *****
//*****          set of spectra in order to look like recorded by AutoFileName approach is given    *****
//*****          below.                                                                             *****
//*****                                                                                             *****
//*****  Requires : (1) Set of spectra recorded by utilizing AutoFileName approach                  *****
//*****                                                                                             *****
//*****  Output   : (1) A list file in the folder c:\work\ooi\ . The name of this file is created   *****
//*****                 automatically - see below.                                                  *****
//*****                                                                                             *****
//*******************************************************************************************************
//*******************************************************************************************************
//*****                                                                                             *****
//*****  This project includes 4 JScrips :                                                          *****
//*****                                                                                             *****
//*****    (1) make_a_list_short_manual.js                                                          *****
//******       the present file ; it may be excluded from project as it contais only comments,      *****
//*****        i.e. lines starting with two back slashes                                            *****
//*****                                                                                             *****
//*****    (2) make_a_list_short_initialization.js                                                  *****
//*****        the file where user has to input parameters describing collection process            *****
//*****                                                                                             *****
//*****    (3) make_a_list_short_variables.js                                                       *****
//*****        variables declaration - do not modify this file                                      *****
//*****                                                                                             *****
//*****    (4) make_a_list_short_action.js                                                          *****
//*****        execution kernel - do not modify this file                                           *****
//*****                                                                                             *****
//*****  The default position of the project and all assotiated files is the folder                 *****
//*****        c:\work\scripts\make_a_list_short\ .                                                 *****
//*****                                                                                             *****
//*******************************************************************************************************
//*******************************************************************************************************
//*****                                                                                             *****
//*****  The user has to initialize of the project by modifying input in JSripts file               *****
//*****        make_a_list_short_initialization.js                                                  *****
//*****                                                                                             *****
//*****    (1) Prefix used to compose new spectral spectral file names utilizing AutoFileName       *****
//*****        approach. Prefix is a string, i.e. a word in quotation marks                         *****
//*****        var SpectrumPrefix                                                                   *****
//*****                                                                                             *****
//*****    (2) Suffix or extension (including dot!) used to compose new spectral file               *****
//*****        names  utilizing AutoFileName approach.                                              *****
//*****        Suffix is a string, i.e. a word in quotation marks.                                  *****
//*****        var SpectrumSuffix                                                                   *****
//*****                                                                                             *****
//*****    (3) Number of digits used to compose new spectral file names utilizing AutoFileName      *****
//*****        approach.                                                                            *****
//*****        var NumberOfDigits                                                                   *****
//*****                                                                                             *****
//*****    (4) Number of files per folder in utilized AutoFileName                                  *****
//*****        var FilesPerFolder                                                                   *****
//*****                                                                                             *****
//*******************************************************************************************************
//*******************************************************************************************************
//*****                                                                                             *****
//*****  NOTES :                                                                                    *****
//*****                                                                                             *****
//*****          (0) The user has to type inputs only in file retrieval_initializattion.js          *****
//*****              in lines not ending with five starts (*****)                                   *****
//*****                                                                                             *****
//*****          (1) This script is obsolette. It is necessary to create lists for data collected   *****
//*****              by old scripts. The new JScript projects forming the group collection_short    *****
//*****              all creting list of all recorded spectra whilst recording them.                *****
//*****                                                                                             *****
//*****          (2) When initializing the corrent JSript project the user has to specify           *****
//*****              AutoFileName parameters/variables. Remember that by default base folder a      *****
//*****              subfolder of c:\work\ooi\ . That is why for initialization of the current      *****
//*****              script the user has to input only values for variables                         *****
//*****                  SpectrumPrefix                                                             *****
//*****                  SpectrumSuffix                                                             *****
//*****                  NumberOfDigits                                                             *****
//*****                  FilesPerFolder                                                             *****
//*****                                                                                             *****
//*****          (3) The data collected with old Cambridge scripts do not comply rules for          *****
//*****              AutoFileName. The data collected with the new JSript projects from the group   *****
//*****              collection_short also do not comply rules for AutoFileName.                    *****
//*****              These data may have structures as                                              *****
//*****                  folder traverse1 with files inside spectrum00000.spe, spectrum000001.spe,  *****
//*****                  etc.                                                                       *****
//*****                     or                                                                      *****
//*****                  folder poas1 with files inside poas100000.std, poas100001.std, etc.        *****
//*****              In order to make a list for these data sets user has to specify in the         *****
//*****              initialization file :                                                          *****
//*****                                                                                             *****
//*****                  - case traverse 1                                                          *****
//*****                    SpectrumPrefix = "spectrum"                                              *****
//*****                    SpectrumSuffix = ".spe"                                                  *****
//*****                    NumberOfDigits = 5                                                       *****
//*****                    FilesPerFolder = 99999 (assuming you don't have as much files)           *****
//*****                    rename folder traverse1 to spectrum00000                                 *****
//*****                                                                                             *****
//*****                  - case poas1                                                               *****
//*****                    SpectrumPrefix = "poas1"                                                 *****
//*****                    SpectrumSuffix = ".std"                                                  *****
//*****                    NumberOfDigits = 5                                                       *****
//*****                    FilesPerFolder = 99999 (assuming you don't have as much files)           *****
//*****                    rename folder poas1 to poas100000                                        *****
//*****                                                                                             *****
//*****          (4) The output file has default name SpectrumPrefix_list.txt and its default       *****
//*****              position is in folder c:\work\ooi .                                            *****
//*****              Examples : c:\work\ooi\spectrum_list and c:\work\ooi\poas1_list.txt            *****
//*****              Any existing list file with the same name will be deleted during execution.    *****
//*****                                                                                             *****
//*****          (5) The content of the result output file may look  as follows :                   *****
//*****                                                                                             *****
//*****                  178                                     - number of spectra in the list    *****
//*****                  150                                     - individual IT                    *****
//*****                  5                                       - number of co-added spectra       *****
//*****                  lab                                     - location ID                      *****
//*****                  testing the script                      - experiment ID                    *****
//*****                  vip20                                   - Autors ID                        *****
//*****                  0 C:\work\ooi\tutu00000\tutu00000.std   - first spectrum in the list       *****
//*****                  .....................................                                      *****
//*****                  178 C:\work\ooi\tutu00000\tutu00178.std - last spectrum in the list        *****
//*****                                                          - intentionally empty line         *****
//*****                  JScript project make_a_list_short.jsp   - trade mark record                *****
//*****                  Version 2.0 / 27 July, 2008             - trade mark record                *****
//*****                  Author V.I. Tsanev (vip20@cam.ac.uk)    - trade mark record                *****
//*****                                                                                             *****
//*****          (6) Example of AutoFileName ussage.                                                *****
//*****                                                                                             *****
//*****          Suppose AutoFileName is created in the following way :                             *****
//*****                                                                                             *****
//*****          Datapath = " C:\\work\\ooi\\" (doubled slushes are due to JScript syntax)          *****
//*****          SpectrumPrefix = "spe"                                                             *****
//*****          SpectrumSuffix = ".std" (note the dot has to be included!)                         *****
//*****          NumberOfDigits = 5                                                                 *****
//*****          FilesPerFolder = 100                                                               *****
//*****                                                                                             *****
//*****          Folders containing recorded spectra are                                            *****
//*****                C:\work\ooi\spec00000\                                                       *****
//*****                C:\work\ooi\spec00100\ etc., etc.                                            *****
//*****                                                                                             *****
//*****          Files recorded in folder C:\work\ooi\spec00000\ are                                *****
//*****                spec00000.std                                                                *****
//*****                spec00001.std                                                                *****
//*****                .............                                                                *****
//*****                spec00001.std (last possibel one; it is possible to have less that 100)      *****
//*****                                                                                             *****
//*****          Files recorded in folder C:\work\ooi\spec0010\  are                                *****
//*****                spec00100.std etc., etc.                                                     *****
//*****                                                                                             *****
//*******************************************************************************************************
//*******************************************************************************************************
//*****                                                                                             *****
//*****  Version history :                                                                          *****
//*****                                                                                             *****
//*****  v. 2.0  - modified the list file header - now I cam use it to initialize correction or     *****
//*****            retrieval and write some data as properties of the corrected spectra             *****
//*****                                                                                             *****
//*******************************************************************************************************
//*******************************************************************************************************
//*******************************************************************************************************
//*******************************************************************************************************
